### Hierarchy

- Connection

## Index

### Constructors

- constructor

### Properties

- listener
- mqttSensorQueue
- subscriptions

### Methods

- disconnect
- initMqttSensorQueue
- onMessage
- setSubscription
- subscribe
- subscribeContext
- subscribeInteraction
- subscribeLogging
- subscribeNotification

## Constructors

### constructor

- new Connection(options: QueueOptions, listener: IListener): Connection

- - Defined in lib/connection/Connection.ts:19

  #### Parameters

  - ##### options: QueueOptions

  - ##### listener: IListener

  #### Returns Connection

## Properties

### Private listener

listener: IListener

- Defined in lib/connection/Connection.ts:18

### mqttSensorQueue

mqttSensorQueue: MqttSensorQueue

- Defined in lib/connection/Connection.ts:17

### Private subscriptions

subscriptions: Map<string, Subscription> = new Map<string, Subscription>()

- Defined in lib/connection/Connection.ts:19

## Methods

### disconnect

- disconnect(): void

- - Defined in lib/connection/Connection.ts:104

  #### Returns void

### Private initMqttSensorQueue

- initMqttSensorQueue(options: QueueOptions): MqttSensorQueue

- - Defined in lib/connection/Connection.ts:110

  #### Parameters

  - ##### options: QueueOptions

  #### Returns MqttSensorQueue

### Private onMessage

- onMessage(topic: string, message: any): void

- - Defined in lib/connection/Connection.ts:119

  #### Parameters

  - ##### topic: string

  - ##### message: any

  #### Returns void

### Private setSubscription

- setSubscription(subscription: Subscription): void

- - Defined in lib/connection/Connection.ts:97

  #### Parameters

  - ##### subscription: Subscription

  #### Returns void

### subscribe

- subscribe(type: ConversationQueueType, header: QueueHeader, callback: QueueCallback, renderer: IRenderer): Subscription

- - Defined in lib/connection/Connection.ts:33

  #### Parameters

  - ##### type: ConversationQueueType

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  - ##### Optional renderer: IRenderer

  #### Returns Subscription

### subscribeContext

- subscribeContext(header: QueueHeader, callback: QueueCallback): Subscription

- - Defined in lib/connection/Connection.ts:53

  #### Parameters

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  #### Returns Subscription

### subscribeInteraction

- subscribeInteraction(header: QueueHeader, callback: QueueCallback, renderer: IRenderer, interactionInterceptor: InteractionInterceptor): InteractionSubscription

- - Defined in lib/connection/Connection.ts:91

  #### Parameters

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  - ##### renderer: IRenderer

  - ##### Optional interactionInterceptor: InteractionInterceptor

  #### Returns InteractionSubscription

### subscribeLogging

- subscribeLogging(header: QueueHeader, callback: QueueCallback): Subscription

- - Defined in lib/connection/Connection.ts:77

  #### Parameters

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  #### Returns Subscription

### subscribeNotification

- subscribeNotification(header: QueueHeader, callback: QueueCallback): Subscription

- - Defined in lib/connection/Connection.ts:65

  #### Parameters

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  #### Returns Subscription

Generated using TypeDoc